Packages - Bug #1634

calibre can't open
2018-02-10 08:53 AM - lanlink

Status: fixed % Done: 0%
Priority: broken

Assignee: ovruni

Category:

Description

calibre, version 3.16.0
ERROR: Startup error: There was an error during calibre startup. Parts of calibre may not function. Click Show details to learn more.

Traceback (most recent call last):

File "/usr/lib/calibre/calibre/gui2/main.py", line 293, in initialize_db_stage2
self.start_gui(db)

File "/usr/lib/calibre/calibre/gui2/main.py", line 233, in start_gui
main.initialize(self.library_path, db, self.listener, self.actions)

File "/usr/lib/calibre/calibre/gui2/ui.py", line 255, in initialize
LayoutMixin.init_layout_mixin(self)

File "/ust/lib/calibre/calibre/gui2/init.py", line 563, in init_layout_mixin
self.vl_tabs = VLTabs(self)

File "/usr/lib/calibre/calibre/gui2/init.py", line 399, in init
self.setTabsClosable(gprefs['vl_tabs_closable'])

File "/usr/lib/calibre/calibre/utils/config.py", line 420, in getitem
return self.defaults[key]

KeyError: 'vl_tabs_closable'

History

#1 - 2018-03-15 02:36 AM - ovruni
- % Done changed from 0 to 100

- Assignee set to ovruni

- Status changed from open to fixed

- Due date set to 2018-03-14

#2 - 2018-03-15 05:00 PM - penguyman

lanlink wrote:

calibre, version 3.16.0
ERROR: Startup error: There was an error during calibre startup. Parts of calibre may not function. Click Show details to learn more.

Traceback (most recent call last):

File "/usr/lib/calibre/calibre/gui2/main.py", line 293, in initialize_db_stage2
self.start_gui(db)

File "/usr/lib/calibre/calibre/gui2/main.py”, line 233, in start_gui
main.initialize(self.library_path, db, self.listener, self.actions)

File "/usr/lib/calibre/calibre/gui2/ui.py”, line 255, in initialize
LayoutMixin.init_layout_mixin(self)

File "/usr/lib/calibre/calibre/gui2/init.py", line 563, in init_layout_mixin
self.vl_tabs = VLTabs(self)

File "/usr/lib/calibre/calibre/gui2/init.py", line 399, in init
self.setTabsClosable(gprefs['vl_tabs_closable)

File "/usr/lib/calibre/calibre/utils/config.py", line 420, in getitem
return self.defaults[key]

KeyError: 'vl_tabs_closable'

With “calibre 3.19" this bug is present.

#3 - 2018-04-13 09:32 AM - mzo

With “calibre 3.20" the bug persists in my system. No changes since version 3.16.
#4 - 2018-04-21 06:46 AM - xrchz
- % Done changed from 100 to 0

This is still broken for me too.

#5 - 2018-04-21 07:22 AM - oaken-source
a quick fix for this is setting vl_tabs_closable to true in ~/.config/calibre/gui.json
I'm not sure why no default setting is picked up for this, it appears to work fine for other settings.

#6 - 2018-05-19 12:33 AM - willspoke
This quick fix has worked. Thank you.

#7 - 2018-07-13 04:45 PM - lenzj

| was having the same issue with calibre-3.20.0-1. Thanks for posting the quick fix! For anyone else having this issue and is unsure of exactly what
to type into "~/.config/calibre/gui.json", you can paste the following line in on its own row:

"vl_tabs_closable": true,
